Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
PUTPCI Device OperationsSince 3.5.0SynchronousAuth Required

UpdateMdevDevice

UpdateMdevDevice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatemdevdeviceObjectRequired

    updatemdevdevice request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • stateString

      Optional. The MDEV device state.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryMdevDeviceInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentUuidStringRequired

      The UUID of the physical PCI device.

    • hostUuidStringRequired

      The host UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • mdevSpecUuidStringRequired

      The UUID of the MDEV device specification.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMdevDeviceTypeRequired

      See type.

      • GPU_Video_ControllerMdevDeviceTypeRequired

        The GPU video controller.

    • stateMdevDeviceStateRequired

      See state.

      • EnabledMdevDeviceStateRequired

        The MDEV device is enabled.

      • DisabledMdevDeviceStateRequired

        The MDEV device is disabled.

    • statusMdevDeviceStatusRequired

      See status.

      • ActiveMdevDeviceStatusRequired

        The MDEV device is active.

      • AttachedMdevDeviceStatusRequired

        The MDEV device is attached.

Endpoint

PUT/zstack/v1/mdev-devices/{uuid}/actions

/zstack/v1/mdev-devices/{uuid}/actions

Operation ID

UpdateMdevDevice

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/mdev-devices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatemdevdevice":{"name":"<name>","description":"<description>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d026caddef774497aaf494d032fc8d61", "name": "GRID M60-2A", "parentUuid": "822875fb541440fb87ed31e3688c286e", "hostUuid": "80ab6fb85aa34745944d3772ab6a3e27", "mdevSpecUuid": "83a58b54e1fb449494876298b1a94148", "type": "GPU_Video_Controller", "state": "Enabled", "status": "Active", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history